### Struct

# EBookContacts BookQuery

#### Description

    struct EBookQuery {
      /* No available fields */
    }

No description available.

#### Functions

###### e_book_query_and

Create a new `EBookQuery` which is the logical AND of the queries in #qs.

###### e_book_query_any_field_contains

Creates a new `EBookQuery` which tests if any field contains `value`.

###### e_book_query_field_exists

Creates a new `EBookQuery` which tests if the field `field` exists.

###### e_book_query_field_test

Creates a new `EBookQuery` which tests `field` for `value` using the test `test`.

###### e_book_query_from_string

Parse `query_string` and return a new `EBookQuery` representing it.

###### e_book_query_or

Creates a new `EBookQuery` which is the logical OR of the queries in #qs.

###### e_book_query_vcard_field_exists

Creates a new `EBookQuery` which tests if the field `field` exists. `field` should be a vCard field name, such as #EVC_FN or #EVC_X_MSN.

###### e_book_query_vcard_field_test

Creates a new `EBookQuery` which tests `field` for `value` using the test `test`.

since: 2.22

#### Instance methods

###### e_book_query_andv

Creates a new `EBookQuery` which is the logical AND of the queries specified. The new `EBookQuery` takes ownership of the specified queries.

###### e_book_query_copy

Creates a copy of `q`.

###### e_book_query_not

Creates a new `EBookQuery` which is the opposite of #q.

###### e_book_query_orv

Creates a new `EBookQuery` which is the logical OR of the queries specified. The new `EBookQuery` takes ownership of the specified queries.

###### e_book_query_ref

Increment the reference count on `q`.

###### e_book_query_to_string

Return the string representation of `q`.

###### e_book_query_unref

Decrement the reference count on `q`. When the reference count reaches 0, `q` will be freed and any child queries will have `e_book_query_unref()` called.